Skip to main content

YouTube Transcriber

Transcribe YouTube videos into text using various AI models through the 1min.AI API. Convert video content into searchable, readable text format with high accuracy and fast processing times.

Available Models​

Loading available models...

Request Parameters​

All models share the same request structure:

Field NameTypeSupported ValueDescriptionRequired
typetextYOUTUBE_TRANSCRIBERFeature name✔️
modeltextSee available modelsModel identifier✔️
conversationIdtextYOUTUBE_TRANSCRIBERConversation ID✔️
promptObject.videoUrlstringYouTube URLYouTube video URL to transcribe✔️

Endpoint​

Request Headers​

FieldValue
API-KEY<api-key>
Content-Typeapplication/json

Code Example​

curl --location 'https://api.1min.ai/api/features' \
--header 'API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"type": "YOUTUBE_TRANSCRIBER",
"model": "gpt-4o",
"conversationId": "YOUTUBE_TRANSCRIBER",
"promptObject": {
"videoUrl": "https://www.youtube.com/watch?v=dQw4w9WgXcQ"
}
}'

Interactive Playground​

Try the API directly in your browser:

Loading interactive playground...

Response Format​

{
"aiRecord": {
"uuid": "ec3858e7-810c-4aa2-8464-3393f788a242",
"userId": "c937fbcc-fa8f-4565-a440-c4d87f56fcb2",
"teamId": "a4e176b2-dabb-451e-9c58-62b451fa9630",
"teamUser": {
"teamId": "a4e176b2-dabb-451e-9c58-62b451fa9630",
"userId": "c937fbcc-fa8f-4565-a440-c4d87f56fcb2",
"userName": "John Doe",
"userAvatar": "https://lh3.googleusercontent.com/a/ACg8ocLqgsNsHRfmWF9d-E1RvJetVsEzxNOsOg-NXWNTpMxLDPJbwELI=s96-c",
"status": "ACTIVE",
"role": "ADMIN",
"creditLimit": 100000000,
"usedCredit": 15299195,
"createdAt": "2025-10-20T04:13:40.847Z",
"createdBy": "SYSTEM",
"updatedAt": "2025-10-22T04:23:44.188Z",
"updatedBy": "SYSTEM"
},
"model": "gpt-4o",
"type": "YOUTUBE_TRANSCRIBER",
"metadata": null,
"rating": null,
"feedback": null,
"conversationId": null,
"status": "SUCCESS",
"createdAt": "2025-10-22T04:24:28.810Z",
"aiRecordDetail": {
"promptObject": {
"videoUrl": "https://www.youtube.com/watch?v=dQw4w9WgXcQ"
},
"resultObject": [
"We're no strangers to love. You know the rules and so do I. A full commitment's what I'm thinking of. You wouldn't get this from any other guy. I just wanna tell you how I'm feeling. Gotta make you understand.

Never gonna give you up, never"
],
"responseObject": {}
},
"additionalData": null,
"temporaryUrl": ""
}
}